Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography 1.28
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.asn1.x509
Class KeyPurposeId

    java.lang.Object
      org.bouncycastle.asn1.ASN1Encodable
          org.bouncycastle.asn1.DERObject
              org.bouncycastle.asn1.DERObjectIdentifier
                  org.bouncycastle.asn1.x509.KeyPurposeId

All Implemented Interfaces:
  DEREncodable, DERTags

    public class KeyPurposeId

extends DERObjectIdentifier

The KeyPurposeId object.

         KeyPurposeId ::= OBJECT IDENTIFIER

Field Summary
`static KeyPurposeId` | `anyExtendedKeyUsage`
`static KeyPurposeId` | `id_kp_clientAuth`
`static KeyPurposeId` | `id_kp_codeSigning`
`static KeyPurposeId` | `id_kp_emailProtection`
`static KeyPurposeId` | `id_kp_ipsecEndSystem`
`static KeyPurposeId` | `id_kp_ipsecTunnel`
`static KeyPurposeId` | `id_kp_ipsecUser`
`static KeyPurposeId` | `id_kp_OCSPSigning`
`static KeyPurposeId` | `id_kp_serverAuth`
`static KeyPurposeId` | `id_kp_smartcardlogon`
`static KeyPurposeId` | `id_kp_timeStamping`

Fields inherited from interface org.bouncycastle.asn1.DERTags
`APPLICATION, BIT_STRING, BMP_STRING, BOOLEAN, CONSTRUCTED, ENUMERATED, EXTERNAL, GENERAL_STRING, GENERALIZED_TIME, GRAPHIC_STRING, IA5_STRING, INTEGER, NULL, NUMERIC_STRING, OBJECT_IDENTIFIER, OCTET_STRING, PRINTABLE_STRING, SEQUENCE, SEQUENCE_OF, SET, SET_OF, T61_STRING, TAGGED, UNIVERSAL_STRING, UTC_TIME, UTF8_STRING, VIDEOTEX_STRING, VISIBLE_STRING`

Method Summary

Methods inherited from class org.bouncycastle.asn1.DERObjectIdentifier
`equals, getId, getInstance, getInstance, hashCode, toString`

Methods inherited from class org.bouncycastle.asn1.DERObject
`toASN1Object`

Methods inherited from class org.bouncycastle.asn1.ASN1Encodable
`getDERObject, getEncoded`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### anyExtendedKeyUsage

    public static final KeyPurposeId anyExtendedKeyUsage

### id_kp_serverAuth

    public static final KeyPurposeId id_kp_serverAuth

### id_kp_clientAuth

    public static final KeyPurposeId id_kp_clientAuth

### id_kp_codeSigning

    public static final KeyPurposeId id_kp_codeSigning

### id_kp_emailProtection

    public static final KeyPurposeId id_kp_emailProtection

### id_kp_ipsecEndSystem

    public static final KeyPurposeId id_kp_ipsecEndSystem

### id_kp_ipsecTunnel

    public static final KeyPurposeId id_kp_ipsecTunnel

### id_kp_ipsecUser

    public static final KeyPurposeId id_kp_ipsecUser

### id_kp_timeStamping

    public static final KeyPurposeId id_kp_timeStamping

### id_kp_OCSPSigning

    public static final KeyPurposeId id_kp_OCSPSigning

### id_kp_smartcardlogon

    public static final KeyPurposeId id_kp_smartcardlogon

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography 1.28
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD